manifestVersion: 1
id: whoogle-search
category: networking
name: Whoogle Search
version: "1.2.4"
tagline: Самостоятельная метапоисковая система без рекламы, уважающая конфиденциальность.
description: >-
  Получите результаты поиска Google, но без рекламы, JavaScript, ссылок AMP, 
  файлы cookie или отслеживание IP-адреса. Легко развертывается в одном 
  щелкните как приложение Docker и настройте с помощью одного файла конфигурации. 
  Быстро и просто внедрить в качестве замены основной поисковой системы на 
  как настольный, так и мобильный.
  
  
  - Никакой рекламы и спонсорского контента.
  
  - Нет JavaScript*
  
  - Никаких файлов cookie**
  
  - Никакого отслеживания/привязки вашего личного IP-адреса***
  
  – Нет ссылок AMP.
  
  – Нет тегов отслеживания URL-адресов (т. е. utm=%s).
  
  - Нет заголовка реферера
  
  - Поддержка прокси Tor и HTTP/SOCKS.
  
  - Автозаполнение/поиск предложений
  
  - Поиск POST-запросов и запросы предложений (если это возможно)
  
  - Просмотр изображений в полном разрешении без перенаправления сайта (в настоящее время только для мобильных устройств)
  
  - Режимы темы Светлая/Тёмная/Системная (с поддержкой пользовательских тем CSS)
  
  - Случайно сгенерированный пользовательский агент
  
  - Простота установки/развертывания
  
  - Поиск в стиле DDG (т. е. !<tag> <query>)
  
  - Дополнительный поиск по местоположению (т. е. результаты рядом с <город>)
  
  - Дополнительный режим NoJS для просмотра результатов поиска в отдельном окне с заблокированным JavaScript.
  
  
  *Никаких сторонних JavaScript. Whoogle можно использовать с отключенным JavaScript, но если он включен, JavaScript используется для таких вещей, как представление поисковых предложений.
  
  ** Никаких сторонних файлов cookie. Whoogle использует файлы cookie (сеансы) на стороне сервера для хранения неконфиденциальных параметров конфигурации, таких как тема, язык и т. д. Как и в случае с JavaScript, файлы cookie можно отключить и не влиять на функции поиска Whoogle.
  
  ***При развертывании на удаленном сервере или настройке отправки запросов через VPN, Tor, прокси и т. д.
developer: Ben Busby
website: https://github.com/benbusby
dependencies: []
repo: https://github.com/benbusby/whoogle-search
support: https://github.com/benbusby/whoogle-search/issues
port: 6420
gallery:
  - 1.jpg
  - 2.jpg
  - 3.jpg
  - 4.jpg
path: ""
defaultUsername: ""
defaultPassword: ""
releaseNotes: >-
  ⚠️ Недавние изменения Google затруднили предоставление результатов поиска без JavaScript, что может повлиять на функциональность Whoogle.
  
  
  ⚠️ Это последняя официальная версия Whoogle Search. Разработчик объявил о завершении проекта из-за того, что Google агрессивно блокирует поисковые запросы без JavaScript. Whoogle, возможно, продолжит работать, но дальнейших обновлений не планируется.
  
  
  Этот финальный выпуск включает в себя:
    - Обновлен пул User-Agent, удалены заблокированные шаблоны и добавлены новые рабочие строки для восстановления функции поиска по умолчанию.
    - Обновлена библиотека шифрования для повышения безопасности.
  
  
  Полные примечания к выпуску можно найти по адресу https://github.com/benbusby/whoogle-search/compare/v1.2.3...v1.2.4.
submitter: Jasper
submission: https://github.com/getumbrel/dfwebos-apps/pull/117
